# QwtAlphaColorMap Class Reference

QwtAlphaColorMap variies the alpha value of a color. More...

`#include <qwt_color_map.h>`

Inheritance diagram for QwtAlphaColorMap:

[legend]

List of all members.

## Public Member Functions

| QwtAlphaColorMap (const QColor &=QColor(Qt::gray))
| QwtAlphaColorMap (const QwtAlphaColorMap &)
virtual | ~QwtAlphaColorMap ()
QwtAlphaColorMap & | operator= (const QwtAlphaColorMap &)
virtual QwtColorMap * | copy () const
void | setColor (const QColor &)
QColor | color () const
virtual QRgb | rgb (const QwtDoubleInterval &, double value) const

## Detailed Description

QwtAlphaColorMap variies the alpha value of a color.

## Constructor & Destructor Documentation

QwtAlphaColorMap::QwtAlphaColorMap | ( | const QColor & | color = `QColor(Qt::gray)` | ) |

Constructor

Parameters:

  | color | Color of the map

QwtAlphaColorMap::QwtAlphaColorMap | ( | const QwtAlphaColorMap & | other | ) |

Copy constructor

Parameters:

  | other | Other color map

QwtAlphaColorMap::~QwtAlphaColorMap | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

QColor QwtAlphaColorMap::color | ( |  | ) | const

Returns:
  the color

See also:
  setColor()

QwtColorMap * QwtAlphaColorMap::copy | ( |  | ) | const`[virtual]`

Clone the color map.

Implements QwtColorMap.

QwtAlphaColorMap & QwtAlphaColorMap::operator= | ( | const QwtAlphaColorMap & | other | ) |

Assignment operator

Parameters:

  | other | Other color map

Returns:
  *this

QRgb QwtAlphaColorMap::rgb | ( | const QwtDoubleInterval & | interval,
|  | double | value |
| ) |  |  | const`[virtual]`

Map a value of a given interval into a alpha value.

alpha := (value - interval.minValue()) / interval.width();

Parameters:

  | interval | Range for all values
  | value | Value to map into a rgb value

Returns:
  rgb value, with an alpha value

Implements QwtColorMap.

void QwtAlphaColorMap::setColor | ( | const QColor & | color | ) |

Set the color

Parameters:

  | color | Color

See also:
  color()